Issue #13114 has been updated by Yui NARUSE.

Backport changed from 2.2: DONTNEED, 2.3: DONTNEED, 2.4: REQUIRED to 2.2: DONTNEED, 2.3: DONTNEED, 2.4: DONE

ruby_2_4 r57856 merged revision(s) 57305.

----------------------------------------
Bug #13114: test failures since r57284
https://bugs.ruby-lang.org/issues/13114#change-63450

* Author: Kazuhiro NISHIYAMA
* Status: Closed
* Priority: Normal
* Assignee: Nobuyoshi Nakada
* Target version: 
* ruby -v: ruby 2.5.0dev (2017-01-08 trunk 57290) [x86_64-linux]
* Backport: 2.2: DONTNEED, 2.3: DONTNEED, 2.4: DONE
----------------------------------------
r57284 の変更でいくつかのテストが失敗します。

最小の再現条件を絞り込もうとしたのですが、webrick/httpauth/basicauth だと再現するのに、個別の webrick/httpstatus と webrick/httpauth/authenticator だと再現しないなど、条件がよくわかりませんでした。

```
% ruby -r webrick/httpauth/basicauth -e 'p WEBrick::HTTPStatus::ProxyAuthenticationRequired'
WEBrick::HTTPAuth::ProxyAuthenticator::AuthException
% ruby -r webrick/httpstatus -r webrick/httpauth/authenticator -e 'p WEBrick::HTTPStatus::ProxyAuthenticationRequired'
WEBrick::HTTPStatus::ProxyAuthenticationRequired
```

---Files--------------------------------
failed.txt (5.38 KB)


-- 
https://bugs.ruby-lang.org/